Bug 195697 - Port hardware profile generation to HAL from kudzu
Port hardware profile generation to HAL from kudzu
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Beth Nackashi
:
Depends On: 202849
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-16 13:29 EDT by James Bowes
Modified: 2013-01-10 05:09 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 14:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2006-06-16 13:29:27 EDT
kudzu is now deprecated, so we want to move away from it asap.

hardware.py uses a file created by kudzu and left in /etc/sysconfig to glean
information about the system's hardware, which it then formats in some dicts and
fires up to RHN. Instead, this should use HAL to get a list of all the hardware.
The format that the information is put in to be sent up to RHN should be the
same as with kudzu.

mayaswell do this work in the RELEASE-4.9 branch
(client/up2date/rhn-client-tools/hardware.py). Part of that code has already
been ported to HAL.
Comment 1 James Bowes 2006-09-25 11:50:56 EDT
Should be good to go now in RHEL 5. For testing, just ensure that the hardware
data visible in the webUI is similar to what pre-rhel5 clients would have sent up.

Note You need to log in before you can comment on or make changes to this bug.